<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'project',

    /*
     * Package.
     */
    'package'   => 'pm',

    /*
     * Modules.
     */
    'modules'   => ['comment', 
'page', 
'project', 
'roadmap', 
'sprint', 
'worklog'],

    'comment'       => [
        'model' => [
            'model'                 => \Project\Pm\Models\Comment::class,
            'table'                 => 'comments',
            'presenter'             => \Project\Pm\Repositories\Presenter\CommentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'commentable_id',  'commentable_type',  'comments',  'files',  'upload_folder',  'created_by',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'pm/comment',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Project',
            'package'   => 'Pm',
            'module'    => 'Comment',
        ],

    ],

    'page'       => [
        'model' => [
            'model'                 => \Project\Pm\Models\Page::class,
            'table'                 => 'pages',
            'presenter'             => \Project\Pm\Repositories\Presenter\PagePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'project_id',  'type',  'title',  'content',  'files',  'url',  'upload_folder',  'created_by',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'pm/page',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Project',
            'package'   => 'Pm',
            'module'    => 'Page',
        ],

    ],

    'project'       => [
        'model' => [
            'model'                 => \Project\Pm\Models\Project::class,
            'table'                 => 'projects',
            'presenter'             => \Project\Pm\Repositories\Presenter\ProjectPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'customer_id',  'workflow_id',  'team_id',  'name',  'image',  'images',  'starts_on',  'ends_on',  'repo',  'description',  'status',  'slug',  'upload_folder',  'created_by',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'pm/project',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Project',
            'package'   => 'Pm',
            'module'    => 'Project',
        ],

    ],

    'roadmap'       => [
        'model' => [
            'model'                 => \Project\Pm\Models\Roadmap::class,
            'table'                 => 'roadmaps',
            'presenter'             => \Project\Pm\Repositories\Presenter\RoadmapPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'starts_on',  'ends_on',  'status',  'slug',  'created_by',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'pm/roadmap',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Project',
            'package'   => 'Pm',
            'module'    => 'Roadmap',
        ],

    ],

    'sprint'       => [
        'model' => [
            'model'                 => \Project\Pm\Models\Sprint::class,
            'table'                 => 'sprints',
            'presenter'             => \Project\Pm\Repositories\Presenter\SprintPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'project_id',  'name',  'order',  'slug',  'status',  'created_by',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'pm/sprint',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Project',
            'package'   => 'Pm',
            'module'    => 'Sprint',
        ],

    ],

    'worklog'       => [
        'model' => [
            'model'                 => \Project\Pm\Models\Worklog::class,
            'table'                 => 'worklogs',
            'presenter'             => \Project\Pm\Repositories\Presenter\WorklogPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'client_id',  'project_id',  'task_id',  'started_at',  'ended_at',  'duration',  'description',  'billable',  'created_by',  'created_at',  'updated_at',  ')',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'pm/worklog',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Project',
            'package'   => 'Pm',
            'module'    => 'Worklog',
        ],

    ],
];
