<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCommentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: comments
         */
        Schema::create('comments', function ($table) {
            $table->increments('id');
            $table->integer('commentable_id')->nullable();
            $table->string('commentable_type', 255)->nullable();
            $table->text('comments')->nullable();
            $table->text('files')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->integer('created_by')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('comments');
    }
}
