<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePagesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: pages
         */
        Schema::create('pages', function ($table) {
            $table->increments('id');
            $table->integer('project_id')->nullable();
            $table->string('type', 50)->nullable();
            $table->string('title', 500)->nullable();
            $table->longText('content')->nullable();
            $table->text('files')->nullable();
            $table->string('url', 100)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->integer('created_by')->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('pages');
    }
}
