<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateProjectsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: projects
         */
        Schema::create('projects', function ($table) {
            $table->increments('id');
            $table->integer('customer_id')->nullable();
            $table->integer('workflow_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->text('image')->nullable();
            $table->text('images')->nullable();
            $table->date('starts_on')->nullable();
            $table->date('ends_on')->nullable();
            $table->string('repo', 100)->nullable();
            $table->text('description')->nullable();
            $table->enum('status', ['Open','Hold','Completed'])->nullable();
            $table->string('slug', 50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->integer('created_by')->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('projects');
    }
}
