<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRoadmapsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: roadmaps
         */
        Schema::create('roadmaps', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->date('starts_on')->nullable();
            $table->date('ends_on')->nullable();
            $table->enum('status', ['Active','Disabled'])->nullable();
            $table->string('slug', 50)->nullable();
            $table->integer('created_by')->nullable();
            $table->increments(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('roadmaps');
    }
}
