<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateWorklogsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: worklogs
         */
        Schema::create('worklogs', function ($table) {
            $table->increments('id');
            $table->integer('client_id')->nullable();
            $table->integer('project_id')->nullable();
            $table->integer('task_id')->nullable();
            $table->timestamp('started_at')->nullable();
            $table->timestamp('ended_at')->nullable();
            $table->time('duration')->nullable();
            $table->text('description')->nullable();
            $table->tinyInteger('billable')->nullable();
            $table->integer('created_by')->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('worklogs');
    }
}
