Lavalite package that provides pm management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `project/pm`.

    "project/pm": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Project\Pm\Providers\PmServiceProvider::class,

And also add it to alias

    'Pm'  => Project\Pm\Facades\Pm::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Project\\PmTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Project\Pm\Providers\PmServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Project\Pm\Providers\PmServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Project\Pm\Providers\PmServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/pm/{modulename}

**User**

    http://path-to-route-folder/user/pm/{modulename}

**Public**

    http://path-to-route-folder/pms


### API endpoints

**List**

    http://path-to-route-folder/api/user/pm/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/pm/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/pm/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/pm/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/pm/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/pm/{modulename}/{slug}
    METHOD: GET