<?php

namespace Project\Pm\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Comment policy
        'Project\Pm\Models\Comment' => \Project\Pm\Policies\CommentPolicy::class,
// Bind Page policy
        'Project\Pm\Models\Page' => \Project\Pm\Policies\PagePolicy::class,
// Bind Project policy
        'Project\Pm\Models\Project' => \Project\Pm\Policies\ProjectPolicy::class,
// Bind Roadmap policy
        'Project\Pm\Models\Roadmap' => \Project\Pm\Policies\RoadmapPolicy::class,
// Bind Sprint policy
        'Project\Pm\Models\Sprint' => \Project\Pm\Policies\SprintPolicy::class,
// Bind Worklog policy
        'Project\Pm\Models\Worklog' => \Project\Pm\Policies\WorklogPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
