<?php

namespace Project\Pm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CommentTransformer extends TransformerAbstract
{
    public function transform(\Project\Pm\Models\Comment $comment)
    {
        return [
            'id'                => $comment->getRouteKey(),
            'key'               => [
                'public'    => $comment->getPublicKey(),
                'route'     => $comment->getRouteKey(),
            ], 
            'commentable_id'    => $comment->commentable_id,
            'commentable_type'  => $comment->commentable_type,
            'comments'          => $comment->comments,
            'files'             => $comment->files,
            'upload_folder'     => $comment->upload_folder,
            'created_by'        => $comment->created_by,
            'deleted_at'        => $comment->deleted_at,
            'url'               => [
                'public'    => trans_url('pm/'.$comment->getPublicKey()),
                'user'      => guard_url('pm/comment/'.$comment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$comment->status),
            'created_at'        => format_date($comment->created_at),
            'updated_at'        => format_date($comment->updated_at),
        ];
    }
}