<?php

namespace Project\Pm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PageTransformer extends TransformerAbstract
{
    public function transform(\Project\Pm\Models\Page $page)
    {
        return [
            'id'                => $page->getRouteKey(),
            'key'               => [
                'public'    => $page->getPublicKey(),
                'route'     => $page->getRouteKey(),
            ], 
            'project_id'        => $page->project_id,
            'type'              => $page->type,
            'title'             => $page->title,
            'content'           => $page->content,
            'files'             => $page->files,
            'url'               => $page->url,
            'upload_folder'     => $page->upload_folder,
            'created_by'        => $page->created_by,
            ')'                 => $page->),
            'deleted_at'        => $page->deleted_at,
            'url'               => [
                'public'    => trans_url('pm/'.$page->getPublicKey()),
                'user'      => guard_url('pm/page/'.$page->getRouteKey()),
            ], 
            'status'            => trans('app.'.$page->status),
            'created_at'        => format_date($page->created_at),
            'updated_at'        => format_date($page->updated_at),
        ];
    }
}