<?php

namespace Project\Pm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProjectTransformer extends TransformerAbstract
{
    public function transform(\Project\Pm\Models\Project $project)
    {
        return [
            'id'                => $project->getRouteKey(),
            'key'               => [
                'public'    => $project->getPublicKey(),
                'route'     => $project->getRouteKey(),
            ], 
            'customer_id'       => $project->customer_id,
            'workflow_id'       => $project->workflow_id,
            'team_id'           => $project->team_id,
            'name'              => $project->name,
            'image'             => $project->image,
            'images'            => $project->images,
            'starts_on'         => $project->starts_on,
            'ends_on'           => $project->ends_on,
            'repo'              => $project->repo,
            'description'       => $project->description,
            'slug'              => $project->slug,
            'upload_folder'     => $project->upload_folder,
            'created_by'        => $project->created_by,
            ')'                 => $project->),
            'deleted_at'        => $project->deleted_at,
            'url'               => [
                'public'    => trans_url('pm/'.$project->getPublicKey()),
                'user'      => guard_url('pm/project/'.$project->getRouteKey()),
            ], 
            'status'            => trans('app.'.$project->status),
            'created_at'        => format_date($project->created_at),
            'updated_at'        => format_date($project->updated_at),
        ];
    }
}