<?php

namespace Project\Pm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RoadmapTransformer extends TransformerAbstract
{
    public function transform(\Project\Pm\Models\Roadmap $roadmap)
    {
        return [
            'id'                => $roadmap->getRouteKey(),
            'key'               => [
                'public'    => $roadmap->getPublicKey(),
                'route'     => $roadmap->getRouteKey(),
            ], 
            'name'              => $roadmap->name,
            'starts_on'         => $roadmap->starts_on,
            'ends_on'           => $roadmap->ends_on,
            'slug'              => $roadmap->slug,
            'created_by'        => $roadmap->created_by,
            ')'                 => $roadmap->),
            'deleted_at'        => $roadmap->deleted_at,
            'url'               => [
                'public'    => trans_url('pm/'.$roadmap->getPublicKey()),
                'user'      => guard_url('pm/roadmap/'.$roadmap->getRouteKey()),
            ], 
            'status'            => trans('app.'.$roadmap->status),
            'created_at'        => format_date($roadmap->created_at),
            'updated_at'        => format_date($roadmap->updated_at),
        ];
    }
}