<?php

namespace Project\Pm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SprintTransformer extends TransformerAbstract
{
    public function transform(\Project\Pm\Models\Sprint $sprint)
    {
        return [
            'id'                => $sprint->getRouteKey(),
            'key'               => [
                'public'    => $sprint->getPublicKey(),
                'route'     => $sprint->getRouteKey(),
            ], 
            'project_id'        => $sprint->project_id,
            'name'              => $sprint->name,
            'order'             => $sprint->order,
            'slug'              => $sprint->slug,
            'created_by'        => $sprint->created_by,
            'deleted_at'        => $sprint->deleted_at,
            'url'               => [
                'public'    => trans_url('pm/'.$sprint->getPublicKey()),
                'user'      => guard_url('pm/sprint/'.$sprint->getRouteKey()),
            ], 
            'status'            => trans('app.'.$sprint->status),
            'created_at'        => format_date($sprint->created_at),
            'updated_at'        => format_date($sprint->updated_at),
        ];
    }
}