<?php

namespace Project\Pm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class WorklogTransformer extends TransformerAbstract
{
    public function transform(\Project\Pm\Models\Worklog $worklog)
    {
        return [
            'id'                => $worklog->getRouteKey(),
            'key'               => [
                'public'    => $worklog->getPublicKey(),
                'route'     => $worklog->getRouteKey(),
            ], 
            'client_id'         => $worklog->client_id,
            'project_id'        => $worklog->project_id,
            'task_id'           => $worklog->task_id,
            'started_at'        => $worklog->started_at,
            'ended_at'          => $worklog->ended_at,
            'duration'          => $worklog->duration,
            'description'       => $worklog->description,
            'billable'          => $worklog->billable,
            'created_by'        => $worklog->created_by,
            ')'                 => $worklog->),
            'deleted_at'        => $worklog->deleted_at,
            'url'               => [
                'public'    => trans_url('pm/'.$worklog->getPublicKey()),
                'user'      => guard_url('pm/worklog/'.$worklog->getRouteKey()),
            ], 
            'status'            => trans('app.'.$worklog->status),
            'created_at'        => format_date($worklog->created_at),
            'updated_at'        => format_date($worklog->updated_at),
        ];
    }
}